<?
if(isset($_GET['mygarden']) && isset($_GET['food']) && intval($_GET['food'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_garden` WHERE `id` = '".intval($_GET['food'])."' AND `id_user` = '$ku[id]' AND `id_pet` != '0'"),0)!=0)
{
$petground=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_garden` WHERE `id` = '".intval($_GET['food'])."' AND `id_user` = '$ku[id]'")) or die (mysql_error());
$pet=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_tree` WHERE `id` = '$petground[id_pet]'"));
$max_time=$time+$petground['level']*(3600*4);
$mezh_time=$max_time-$petground['time'];
$nt=4*3600;
if($mezh_time>=$nt)
{
echo "<div class='event'><h1>Амбар</h1></div>";
echo "<div class='content'><div class='block'><ul>";
if(isset($_GET['select']) && intval($_GET['select'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_warehouse` WHERE `id` = '".intval($_GET['select'])."' AND `id_user` = '$ku[id]'"),0)!=0)
{
$wh=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_warehouse` WHERE `id` = '".intval($_GET['select'])."'"));
if($wh['amount']>=10)
{

$rat=$pet['rating'];
$rat_fooder_act=0;
$rat_sc_act=0;
$rat_dog_act=0;
$rat_drakon_act=0;
$rat_school_act=0;
$rat_vet_act=0;
$rat_lib_act=0;
$arena_rat=0;
if(isset($sc_act))$rat_sc_act=$rat*2;
if(isset($dog_type))$rat_dog_act=(($rat/100)*$dog_type);
if(isset($drakon_act))$rat_drakon_act=(($rat/100)*300);
if(isset($avtofooder_act))$rat_fooder_act=(($rat/100)*$avtofooder_act);
if(isset($school_act))$rat_school_act=$rat*2;
if($ku['arena_rating']>1000)$arena_rat=floor(($rat/100)*(($ku['arena_rating']-1000)/20));
if(isset($lib_act))$rat_lib_act=$rat/2;
if(isset($shmel_act))$rat_fooder_act=$rat_fooder_act*2;
$ratt=$rat_fooder_act+$rat_sc_act+$rat_drakon_act+$rat_school_act+$rat_vet_act+$rat_lib_act+$rat_dog_act+$arena_rat;
if($ratt==0)$rat=$rat;
else $rat=$ratt;
if(isset($dexp) AND !isset($dexp3))$rat=$rat*2; elseif(isset($dexp3))$rat=$rat*3;

$korm_time=($petground['time']<$time?$time+(4*3600):$petground['time']+(4*3600));
mysql_query("UPDATE `kolhoz_garden` SET `time` = '$korm_time' WHERE `id` = '$petground[id]' LIMIT 1");
mysql_query("UPDATE `kolhoz_warehouse` SET `amount` = '".($wh['amount']-10)."' WHERE `id` = '$wh[id]' LIMIT 1");
mysql_query("UPDATE `kolhoz_user` SET `rating` = '".($ku['rating']+$rat)."',`last_soil_garden`='$wh[id_plant]' WHERE `id` = '$ku[id]'");
$_SESSION['rating']=$rat;

update_mc($rat);


header("Location: /mygarden/".passgen());
exit;
}
else echo "<div style='background-color:#114411;padding:4px;border:1px solid red'>Не хватает ".(10-$wh['amount'])." шт.</div>";
}
$q=mysql_query("SELECT * FROM `kolhoz_warehouse` WHERE `id_user` = '$ku[id]' AND `arena` = '0' AND `fish`='0'");
while($post=mysql_fetch_array($q))
{
$plant=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant` WHERE `id` = '$post[id_plant]'"));
echo "<li><img width='16' height='16' src='images/icons/plate.png' alt='o'> <a href='/mygarden/food-$petground[id]/select-$post[id]'>Кормить</a> <span class='title'>".hsc($plant['name'])."</span> (<span>$post[count]</span> шт.)</li>";
}
echo "</ul></div>";
include_once 'inc/foot.php';
}
}
?>